Download it now!
Bug 50586 - FORMATTING: Cell background color does not change, when the background of windows is other than white (Windows Classic theme)
Summary: FORMATTING: Cell background color does not change, when the background of win...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-01 07:06 UTC by registracijos
Modified: 2015-05-06 14:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description registracijos 2012-06-01 07:06:58 UTC
Problem description: Cell background color does not change, when I am using Win7 classic theme with some customizations.

Steps to reproduce:
1. Control Panel >> Change the theme >> Windows Classic >> Window Color (at bottom of screen)>> Item (drop down menu)>> Window >> Background color (black)>> Apply
2. In LibreOffice spreadsheet select cell >> right click >> Format Cell >> Backround >> Select any color, but the color will not appear, the cell remains black, because it is set in Window Classic theme, but background color can be changed in LibreOffice Writer {Format >> Page >> Background}


Current behavior:

Expected behavior: It would be great if background color of cell could be changed when Windows theme Window color is other then default (white)

Platform (if different from the browser): Win7
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0) Gecko/20100101 Firefox/12.0
Comment 1 leo.moons 2012-12-16 21:24:11 UTC
Can confirm that it is not possible to have the background of cells changed, when the background of windows is other then white.

Using windows 7 and LibO version 4.0.0

Leo
Comment 2 bfoman (inactive) 2013-01-08 13:18:03 UTC
NEW as per comment 1. Changed summary.
Comment 3 Winfried Donkers 2013-04-08 06:16:43 UTC
I can not reproduce problem with version 4.0.2 on Windows7-64Pro.

I tried both with standard Windows 7 theme as with Windows Classic.

On the Windows machine I work on (Windows XP and 7), I change the default background colour to another colout than white. On all these, LibreOffice Calc has white cell background colours, unless I change the background colour of the cell(s). This has not changed recently as far as I can remember.
Comment 4 Winfried Donkers 2013-05-16 11:09:04 UTC
(In reply to comment #3)

I have been able to sort of reproduce the problem, with version 4.0.3 on Windows 7-32 peofessional.
The theme was classic (with some modifications?) and the cell background colours did not show, not even in print preview. Changing Libreoffice's settings (extra-option-accessability, uncheck use systemcolours for print previews) restored the cell background colours in the print preview, but not on the sheet itself.
Changing the theme to standard Windows 7 restored that.
Changing the theme to Windows Classic (no further changes) did not reintroduce the problem.

Setting the status to NEW.
Comment 5 QA Administrators 2015-03-04 02:20:09 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1.2 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

Thank you for your help!

-- The LibreOffice QA Team
This NEW Message was generated on: 2015-03-03
Comment 6 Winfried Donkers (retired) 2015-03-04 06:56:23 UTC
I have not been able to reproduce the problem with Windows7-64 pro and LibreOffice 4.3.6.2.
Given that I had difficulties reproducing it last time too, I won't set the status to resolved (yet), but to needinfo.
Comment 7 QA Administrators 2015-05-06 14:21:34 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team